# MinecraftMessageKeys (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, enum: MinecraftMessageKeys

Package co.aikar.commands

# Enum MinecraftMessageKeys

java.lang.Object
java.lang.Enum<MinecraftMessageKeys>
co.aikar.commands.MinecraftMessageKeys

All Implemented Interfaces:
  `co.aikar.locales.MessageKeyProvider`, `Serializable`, `Comparable<MinecraftMessageKeys>`, `java.lang.constant.Constable`

public enum MinecraftMessageKeys extends Enum<MinecraftMessageKeys> implements co.aikar.locales.MessageKeyProvider

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INVALID_WORLD`
`IS_NOT_A_VALID_NAME`
`LOCATION_CONSOLE_NOT_RELATIVE`
`LOCATION_PLEASE_SPECIFY_WORLD`
`LOCATION_PLEASE_SPECIFY_XYZ`
`MULTIPLE_PLAYERS_MATCH`
`NO_PLAYER_FOUND`
`NO_PLAYER_FOUND_OFFLINE`
`NO_PLAYER_FOUND_SERVER`
`PLAYER_IS_VANISHED_CONFIRM`
`USERNAME_TOO_SHORT`
`YOU_MUST_BE_HOLDING_ITEM`

## Method Summary

Modifier and Type
Method
Description
`co.aikar.locales.MessageKey`
`getMessageKey()`
`static MinecraftMessageKeys`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MinecraftMessageKeys[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID_WORLD

public static final MinecraftMessageKeys INVALID_WORLD

### YOU_MUST_BE_HOLDING_ITEM

public static final MinecraftMessageKeys YOU_MUST_BE_HOLDING_ITEM

### PLAYER_IS_VANISHED_CONFIRM

public static final MinecraftMessageKeys PLAYER_IS_VANISHED_CONFIRM

### USERNAME_TOO_SHORT

public static final MinecraftMessageKeys USERNAME_TOO_SHORT

### IS_NOT_A_VALID_NAME

public static final MinecraftMessageKeys IS_NOT_A_VALID_NAME

### MULTIPLE_PLAYERS_MATCH

public static final MinecraftMessageKeys MULTIPLE_PLAYERS_MATCH

### NO_PLAYER_FOUND_SERVER

public static final MinecraftMessageKeys NO_PLAYER_FOUND_SERVER

### NO_PLAYER_FOUND_OFFLINE

public static final MinecraftMessageKeys NO_PLAYER_FOUND_OFFLINE

### NO_PLAYER_FOUND

public static final MinecraftMessageKeys NO_PLAYER_FOUND

### LOCATION_PLEASE_SPECIFY_WORLD

public static final MinecraftMessageKeys LOCATION_PLEASE_SPECIFY_WORLD

### LOCATION_PLEASE_SPECIFY_XYZ

public static final MinecraftMessageKeys LOCATION_PLEASE_SPECIFY_XYZ

### LOCATION_CONSOLE_NOT_RELATIVE

public static final MinecraftMessageKeys LOCATION_CONSOLE_NOT_RELATIVE

## Method Details

### values

public static MinecraftMessageKeys[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MinecraftMessageKeys valueOf (String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMessageKey

public co.aikar.locales.MessageKey getMessageKey()

Specified by:
  `getMessageKey` in interface `co.aikar.locales.MessageKeyProvider`